package serializers;

import com.vividsolutions.jts.geom.Geometry;

import flexjson.JSONSerializer;
import models.Tipo;
import play.Play;
import transformers.GeometryTransformer;
import transformers.TipoEnumTransformer;

public class EmpreendimentosSerializer {

	public static JSONSerializer findByFilter;
	public static JSONSerializer find;
	public static JSONSerializer findEmpreendimentosByPessoa;
	public static JSONSerializer findEmpreendimentoSobreposicao;

	static {

		boolean prettyPrint = Play.mode == Play.Mode.DEV;

		findByFilter = new JSONSerializer()
				.include(
						"totalItems",
						"pageItems.id",
						"pageItems.cpfCnpjCadastrante",
						"pageItems.denominacao",
						"pageItems.proprietarios.id",
						"pageItems.proprietarios.tipo",
						"pageItems.proprietarios.nome",
						"pageItems.proprietarios.razaoSocial",
						"pageItems.proprietarios.cpf",
						"pageItems.proprietarios.cnpj",
						"pageItems.proprietarios.municipio.codigoIbge",
						"pageItems.proprietarios.inscricaoEstadual",
						"pageItems.proprietarios.sexo",
						"pageItems.proprietarios.dataNascimento",
						"pageItems.proprietarios.dataConstituicao",
						"pageItems.proprietarios.estadoCivil.descricao",
						"pageItems.proprietarios.estadoCivil.codigo",
						"pageItems.proprietarios.estadoCivil.nome",
						"pageItems.proprietarios.nomeMae",
						"pageItems.proprietarios.naturalidade",
						"pageItems.proprietarios.rg.numero",
						"pageItems.proprietarios.rg.orgaoExpedidor",
						"pageItems.proprietarios.tituloEleitoral.numero",
						"pageItems.proprietarios.tituloEleitoral.secao",
						"pageItems.proprietarios.tituloEleitoral.zona",
						"pageItems.proprietarios.enderecos.cep",
						"pageItems.proprietarios.enderecos.logradouro",
						"pageItems.proprietarios.enderecos.numero",
						"pageItems.proprietarios.enderecos.complemento",
						"pageItems.proprietarios.enderecos.bairro",
						"pageItems.proprietarios.enderecos.tipo.id",
						"pageItems.proprietarios.enderecos.municipio.id",
						"pageItems.proprietarios.enderecos.municipio.nome",
						"pageItems.proprietarios.enderecos.municipio.estado.sigla",
						"pageItems.proprietarios.enderecos.municipio.estado.nome",
						"pageItems.proprietarios.enderecos.municipio.estado.id",
						"pageItems.proprietarios.enderecos.municipio.codigoIbge",
						"pageItems.proprietarios.enderecos.zonaLocalizacao.codigo",
						"pageItems.proprietarios.enderecos.zonaLocalizacao.nome",
						"pageItems.proprietarios.contatos.valor",
						"pageItems.proprietarios.contatos.principal",
						"pageItems.proprietarios.contatos.tipo.id",
						"pageItems.proprietarios.contatos.tipo.descricao",
						"pageItems.representantesLegais.id",
						"pageItems.representantesLegais.tipo.nome",
						"pageItems.representantesLegais.tipo.codigo",
						"pageItems.representantesLegais.nome",
						"pageItems.representantesLegais.cpf",
						"pageItems.representantesLegais.estadoCivil.codigo",
						"pageItems.representantesLegais.estadoCivil.descricao",
						"pageItems.representantesLegais.estadoCivil.nome",
						"pageItems.representantesLegais.dataCadastro",
						"pageItems.representantesLegais.enderecos.cep",
						"pageItems.representantesLegais.enderecos.logradouro",
						"pageItems.representantesLegais.enderecos.numero",
						"pageItems.representantesLegais.enderecos.complemento",
						"pageItems.representantesLegais.enderecos.bairro",
						"pageItems.representantesLegais.enderecos.tipo.id",
						"pageItems.representantesLegais.enderecos.municipio.nome",
						"pageItems.representantesLegais.enderecos.municipio.estado.sigla",
						"pageItems.representantesLegais.enderecos.municipio.codigoIbge",
						"pageItems.representantesLegais.enderecos.zonaLocalizacao.codigo",
						"pageItems.representantesLegais.enderecos.zonaLocalizacao.nome",
						"pageItems.representantesLegais.contatos.valor",
						"pageItems.representantesLegais.contatos.principal",
						"pageItems.representantesLegais.contatos.tipo.id",
						"pageItems.representantesLegais.contatos.tipo.descricao",
						"pageItems.responsaveisLegais.id",
						"pageItems.responsaveisLegais.tipo.nome",
						"pageItems.responsaveisLegais.tipo.codigo",
						"pageItems.responsaveisLegais.nome",
						"pageItems.responsaveisLegais.cpf",
						"pageItems.responsaveisLegais.estadoCivil.codigo",
						"pageItems.responsaveisLegais.estadoCivil.descricao",
						"pageItems.responsaveisLegais.estadoCivil.nome",
						"pageItems.responsaveisLegais.dataCadastro",
						"pageItems.responsaveisLegais.usuario.email",
						"pageItems.responsaveisLegais.enderecos.cep",
						"pageItems.responsaveisLegais.enderecos.logradouro",
						"pageItems.responsaveisLegais.enderecos.numero",
						"pageItems.responsaveisLegais.enderecos.complemento",
						"pageItems.responsaveisLegais.enderecos.bairro",
						"pageItems.responsaveisLegais.enderecos.tipo.id",
						"pageItems.responsaveisLegais.enderecos.municipio.nome",
						"pageItems.responsaveisLegais.enderecos.municipio.estado.sigla",
						"pageItems.responsaveisLegais.enderecos.municipio.codigoIbge",
						"pageItems.responsaveisLegais.enderecos.zonaLocalizacao.codigo",
						"pageItems.responsaveisLegais.enderecos.zonaLocalizacao.nome",
						"pageItems.responsaveisLegais.contatos.valor",
						"pageItems.responsaveisLegais.contatos.principal",
						"pageItems.responsaveisLegais.contatos.tipo.id",
						"pageItems.responsaveisLegais.contatos.tipo.descricao",
						"pageItems.responsaveisTecnicos.id",
						"pageItems.responsaveisTecnicos.tipo.nome",
						"pageItems.responsaveisTecnicos.tipo.codigo",
						"pageItems.responsaveisTecnicos.estadoCivil.codigo",
						"pageItems.responsaveisTecnicos.estadoCivil.descricao",
						"pageItems.responsaveisTecnicos.estadoCivil.nome",
						"pageItems.responsaveisTecnicos.nome",
						"pageItems.responsaveisTecnicos.razaoSocial",
						"pageItems.responsaveisTecnicos.cpf",
						"pageItems.responsaveisTecnicos.cnpj",
						"pageItems.responsaveisTecnicos.municipio.codigoIbge",
						"pageItems.responsaveisTecnicos.inscricaoEstadual",
						"pageItems.responsaveisTecnicos.usuario.email",
						"pageItems.responsaveisTecnicos.enderecos.cep",
						"pageItems.responsaveisTecnicos.enderecos.logradouro",
						"pageItems.responsaveisTecnicos.enderecos.numero",
						"pageItems.responsaveisTecnicos.enderecos.complemento",
						"pageItems.responsaveisTecnicos.enderecos.bairro",
						"pageItems.responsaveisTecnicos.enderecos.tipo.id",
						"pageItems.responsaveisTecnicos.enderecos.municipio.nome",
						"pageItems.responsaveisTecnicos.enderecos.municipio.estado.sigla",
						"pageItems.responsaveisTecnicos.enderecos.municipio.codigoIbge",
						"pageItems.responsaveisTecnicos.enderecos.zonaLocalizacao.codigo",
						"pageItems.responsaveisTecnicos.enderecos.zonaLocalizacao.nome",
						"pageItems.responsaveisTecnicos.contatos.valor",
						"pageItems.responsaveisTecnicos.contatos.principal",
						"pageItems.responsaveisTecnicos.contatos.tipo.id",
						"pageItems.responsaveisTecnicos.contatos.tipo.descricao",
						"pageItems.responsaveisTecnicos.contatos.valor",
						"pageItems.responsaveisTecnicos.contatos.principal",
						"pageItems.responsaveisTecnicos.contatos.tipo.id",
						"pageItems.responsaveisTecnicos.contatos.tipo.descricao",
						"pageItems.pessoa.tipo",
						"pageItems.pessoa.id",
						"pageItems.pessoa.nome",
						"pageItems.pessoa.cpf",
						"pageItems.pessoa.sexo.descricao",
						"pageItems.pessoa.sexo.codigo",
						"pageItems.pessoa.dataNascimento",
						"pageItems.pessoa.estadoCivil.descricao",
						"pageItems.pessoa.estadoCivil.codigo",
						"pageItems.pessoa.estadoCivil.nome",
						"pageItems.pessoa.nomeMae",
						"pageItems.pessoa.naturalidade",
						"pageItems.pessoa.rg.numero",
						"pageItems.pessoa.rg.orgaoExpedidor",
						"pageItems.pessoa.tituloEleitoral.numero",
						"pageItems.pessoa.tituloEleitoral.secao",
						"pageItems.pessoa.tituloEleitoral.zona",
						"pageItems.pessoa.cnpj",
						"pageItems.pessoa.municipio.codigoIbge",
						"pageItems.pessoa.nomeFantasia",
						"pageItems.pessoa.razaoSocial",
						"pageItems.pessoa.dataConstituicao",
						"pageItems.pessoa.inscricaoEstadual",
						"pageItems.pessoa.contatos.valor",
						"pageItems.pessoa.contatos.principal",
						"pageItems.pessoa.contatos.tipo.id",
						"pageItems.pessoa.contatos.tipo.descricao",
						"pageItems.pessoa.enderecos.id",
						"pageItems.pessoa.enderecos.tipo.id",
						"pageItems.pessoa.enderecos.logradouro",
						"pageItems.pessoa.enderecos.numero",
						"pageItems.pessoa.enderecos.caixaPostal",
						"pageItems.pessoa.enderecos.bairro",
						"pageItems.pessoa.enderecos.complemento",
						"pageItems.pessoa.enderecos.cep",
						"pageItems.pessoa.enderecos.descricaoAcesso",
						"pageItems.pessoa.enderecos.municipio.id",
						"pageItems.pessoa.enderecos.municipio.nome",
						"pageItems.pessoa.enderecos.municipio.codigoIbge",
						"pageItems.pessoa.enderecos.municipio.estado.id",
						"pageItems.pessoa.enderecos.municipio.estado.sigla",
						"pageItems.pessoa.enderecos.municipio.estado.nome",
						"pageItems.pessoa.enderecos.municipio.codigoIbge",
						"pageItems.pessoa.enderecos.zonaLocalizacao.nome",
						"pageItems.pessoa.enderecos.pais.id",
						"pageItems.pessoa.isJunta",
						"pageItems.contatos.id",
						"pageItems.contatos.tipo.id",
						"pageItems.contatos.tipo.descricao",
						"pageItems.contatos.valor",
						"pageItems.contatos.principal",
						"pageItems.enderecos.id",
						"pageItems.enderecos.tipo.id",
						"pageItems.enderecos.logradouro",
						"pageItems.enderecos.numero",
						"pageItems.enderecos.caixaPostal",
						"pageItems.enderecos.bairro",
						"pageItems.enderecos.complemento",
						"pageItems.enderecos.cep",
						"pageItems.enderecos.descricaoAcesso",
						"pageItems.enderecos.municipio.id",
						"pageItems.enderecos.municipio.nome",
						"pageItems.enderecos.municipio.codigoIbge",
						"pageItems.enderecos.municipio.estado.id",
						"pageItems.enderecos.municipio.estado.id",
						"pageItems.enderecos.municipio.estado.nome",
						"pageItems.enderecos.municipio.estado.sigla",
						"pageItems.enderecos.municipio.codigoIbge",
						"pageItems.enderecos.zonaLocalizacao.codigo",
						"pageItems.enderecos.pais.id",
						"pageItems.localizacao.geometria",
						"pageItems.cnaes.codigo",
						"pageItems.porte",
						"pageItems.classificacaoEmpreendimento.id",
						"pageItems.classificacaoEmpreendimento.descricao",
						"pageItems.classificacaoEmpreendimento.codigo",
						"pageItems.classificacaoEmpreendimento.isento",
						"pageItems.empreendedor.id",
						"pageItems.empreendedor.dataCadastro",
						"pageItems.empreendedor.ativo",
						"pageItems.empreendedor.podeSerExcluido",
						"pageItems.empreendedor.pessoa.nome",
						"pageItems.empreendedor.pessoa.cpf",
						"pageItems.empreendedor.pessoa.cnpj",
						"pageItems.empreendedor.pessoa.tipo",
						"pageItems.empreendedor.pessoa.id",
						"pageItems.empreendedor.pessoa.sexo.descricao",
						"pageItems.empreendedor.pessoa.enderecos.zonaLocalizacao.codigo",
						"pageItems.empreendedor.pessoa.dataNascimento",
						"pageItems.empreendedor.pessoa.estadoCivil.nome",
						"pageItems.empreendedor.pessoa.estadoCivil.codigo",
						"pageItems.empreendedor.pessoa.nomeMae",
						"pageItems.empreendedor.pessoa.naturalidade",
						"pageItems.empreendedor.pessoa.rg.numero",
						"pageItems.empreendedor.pessoa.rg.orgaoExpedidor",
						"pageItems.empreendedor.pessoa.tituloEleitoral.numero",
						"pageItems.empreendedor.pessoa.tituloEleitoral.secao",
						"pageItems.empreendedor.pessoa.tituloEleitoral.zona",
						"pageItems.empreendedor.pessoa.cnpj",
						"pageItems.empreendedor.pessoa.municipio.codigoIbge",
						"pageItems.empreendedor.pessoa.nomeFantasia",
						"pageItems.empreendedor.pessoa.razaoSocial",
						"pageItems.empreendedor.pessoa.dataConstituicao",
						"pageItems.empreendedor.pessoa.inscricaoEstadual",
						"pageItems.empreendedor.pessoa.contatos.id",
						"pageItems.empreendedor.pessoa.contatos.tipo.id",
						"pageItems.empreendedor.pessoa.contatos.tipo.descricao",
						"pageItems.empreendedor.pessoa.contatos.valor",
						"pageItems.empreendedor.pessoa.contatos.principal",
						"pageItems.empreendedor.pessoa.enderecos.id",
						"pageItems.empreendedor.pessoa.enderecos.tipo.id",
						"pageItems.empreendedor.pessoa.enderecos.logradouro",
						"pageItems.empreendedor.pessoa.enderecos.numero",
						"pageItems.empreendedor.pessoa.enderecos.caixaPostal",
						"pageItems.empreendedor.pessoa.enderecos.bairro",
						"pageItems.empreendedor.pessoa.enderecos.complemento",
						"pageItems.empreendedor.pessoa.enderecos.cep",
						"pageItems.empreendedor.pessoa.enderecos.descricaoAcesso",
						"pageItems.empreendedor.pessoa.enderecos.municipio.id",
						"pageItems.empreendedor.pessoa.enderecos.municipio.nome",
						"pageItems.empreendedor.pessoa.enderecos.municipio.codigoIbge",
						"pageItems.empreendedor.pessoa.enderecos.municipio.estado.id",
						"pageItems.empreendedor.pessoa.enderecos.municipio.estado.sigla",
						"pageItems.empreendedor.pessoa.enderecos.municipio.codigoIbge",
						"pageItems.empreendedor.pessoa.enderecos.zonaLocalizacao.nome",
						"pageItems.empreendedor.pessoa.enderecos.pais.id",
						"pageItems.cpfCnpjCadastrante"
				)
				.exclude("*")
				.transform(new TipoEnumTransformer(), Tipo.class)
				.transform(new GeometryTransformer(), Geometry.class)
				.prettyPrint(prettyPrint);

		find = new JSONSerializer()
				.include(
						"id",
						"denominacao",
						"proprietarios.id",
						"proprietarios.tipo",
						"proprietarios.nome",
						"proprietarios.razaoSocial",
						"proprietarios.cpf",
						"proprietarios.cnpj",
						"proprietarios.municipio.codigoIbge",
						"proprietarios.inscricaoEstadual",
						"proprietarios.sexo",
						"proprietarios.dataNascimento",
						"proprietarios.dataConstituicao",
						"proprietarios.estadoCivil.nome",
						"proprietarios.estadoCivil.codigo",
						"proprietarios.nomeMae",
						"proprietarios.naturalidade",
						"proprietarios.rg.numero",
						"proprietarios.rg.orgaoExpedidor",
						"proprietarios.tituloEleitoral.numero",
						"proprietarios.tituloEleitoral.secao",
						"proprietarios.tituloEleitoral.zona",
						"proprietarios.enderecos.cep",
						"proprietarios.enderecos.logradouro",
						"proprietarios.enderecos.numero",
						"proprietarios.enderecos.complemento",
						"proprietarios.enderecos.tipo.id",
						"proprietarios.enderecos.municipio.nome",
						"proprietarios.enderecos.municipio.estado.sigla",
						"proprietarios.enderecos.municipio.codigoIbge",
						"proprietarios.enderecos.zonaLocalizacao.codigo",
						"proprietarios.contatos.id",
						"proprietarios.contatos.principal",
						"proprietarios.contatos.valor",
						"proprietarios.contatos.tipo.id",
						"proprietarios.contatos.tipo.descricao",
						"representantesLegais.id",
						"representantesLegais.tipo",
						"representantesLegais.nome",
						"representantesLegais.cpf",
						"representantesLegais.enderecos.cep",
						"representantesLegais.enderecos.logradouro",
						"representantesLegais.enderecos.numero",
						"representantesLegais.enderecos.complemento",
						"representantesLegais.enderecos.tipo.id",
						"representantesLegais.enderecos.municipio.nome",
						"representantesLegais.enderecos.municipio.estado.sigla",
						"representantesLegais.enderecos.municipio.codigoIbge",
						"representantesLegais.enderecos.zonaLocalizacao.codigo",
						"representantesLegais.contatos.id",
						"representantesLegais.contatos.principal",
						"representantesLegais.contatos.valor",
						"representantesLegais.contatos.tipo.id",
						"representantesLegais.contatos.tipo.descricao",
						"responsaveisLegais.id",
						"responsaveisLegais.tipo",
						"responsaveisLegais.nome",
						"responsaveisLegais.cpf",
						"responsaveisLegais.usuario.email",
						"responsaveisLegais.enderecos.cep",
						"responsaveisLegais.enderecos.logradouro",
						"responsaveisLegais.enderecos.numero",
						"responsaveisLegais.enderecos.complemento",
						"responsaveisLegais.enderecos.tipo.id",
						"responsaveisLegais.enderecos.municipio.nome",
						"responsaveisLegais.enderecos.municipio.estado.sigla",
						"responsaveisLegais.enderecos.municipio.codigoIbge",
						"responsaveisLegais.enderecos.zonaLocalizacao.codigo",
						"responsaveisLegais.contatos.id",
						"responsaveisLegais.contatos.principal",
						"responsaveisLegais.contatos.valor",
						"responsaveisLegais.contatos.tipo.id",
						"responsaveisLegais.contatos.tipo.descricao",
						"responsaveisTecnicos.id",
						"responsaveisTecnicos.tipo",
						"responsaveisTecnicos.nome",
						"responsaveisTecnicos.razaoSocial",
						"responsaveisTecnicos.cpf",
						"responsaveisTecnicos.cnpj",
						"responsaveisTecnicos.municipio.codigoIbge",
						"responsaveisTecnicos.inscricaoEstadual",
						"responsaveisTecnicos.enderecos.cep",
						"responsaveisTecnicos.enderecos.logradouro",
						"responsaveisTecnicos.enderecos.numero",
						"responsaveisTecnicos.enderecos.complemento",
						"responsaveisTecnicos.enderecos.tipo.id",
						"responsaveisTecnicos.enderecos.municipio.nome",
						"responsaveisTecnicos.enderecos.municipio.estado.sigla",
						"responsaveisTecnicos.enderecos.municipio.codigoIbge",
						"responsaveisTecnicos.enderecos.zonaLocalizacao.codigo",
						"responsaveisTecnicos.contatos.id",
						"responsaveisTecnicos.contatos.principal",
						"responsaveisTecnicos.contatos.valor",
						"responsaveisTecnicos.contatos.tipo.id",
						"responsaveisTecnicos.contatos.tipo.descricao",
						"pessoa.tipo",
						"pessoa.id",
						"pessoa.nome",
						"pessoa.cpf",
						"pessoa.sexo",
						"pessoa.dataNascimento",
						"pessoa.estadoCivil.nome",
						"pessoa.estadoCivil.codigo",
						"pessoa.nomeMae",
						"pessoa.naturalidade",
						"pessoa.rg.numero",
						"pessoa.rg.orgaoExpedidor",
						"pessoa.tituloEleitoral.numero",
						"pessoa.tituloEleitoral.secao",
						"pessoa.tituloEleitoral.zona",
						"pessoa.cnpj",
						"pessoa.nomeFantasia",
						"pessoa.razaoSocial",
						"pessoa.dataConstituicao",
						"pessoa.inscricaoEstadual",
						"pessoa.enderecos.id",
						"pessoa.enderecos.tipo.id",
						"pessoa.enderecos.logradouro",
						"pessoa.enderecos.numero",
						"pessoa.enderecos.caixaPostal",
						"pessoa.enderecos.bairro",
						"pessoa.enderecos.complemento",
						"pessoa.enderecos.cep",
						"pessoa.enderecos.descricaoAcesso",
						"pessoa.enderecos.municipio.id",
						"pessoa.enderecos.municipio.nome",
						"pessoa.enderecos.municipio.codigoIbge",
						"pessoa.enderecos.municipio.estado.id",
						"pessoa.enderecos.municipio.estado.sigla",
						"pessoa.enderecos.municipio.codigoIbge",
						"pessoa.enderecos.zonaLocalizacao.nome",
						"pessoa.contatos.id",
						"pessoa.contatos.tipo.id",
						"pessoa.contatos.tipo.descricao",
						"pessoa.contatos.valor",
						"pessoa.contatos.principal",
						"pessoa.enderecos.pais.id",
						"contatos.id",
						"contatos.tipo.id",
						"contatos.tipo.descricao",
						"contatos.valor",
						"contatos.principal",
						"enderecos.id",
						"enderecos.tipo.id",
						"enderecos.zonaLocalizacao.codigo",
						"enderecos.logradouro",
						"enderecos.numero",
						"enderecos.caixaPostal",
						"enderecos.bairro",
						"enderecos.complemento",
						"enderecos.cep",
						"enderecos.descricaoAcesso",
						"enderecos.municipio.id",
						"enderecos.municipio.nome",
						"enderecos.municipio.estado.id",
						"enderecos.municipio.estado.sigla",
						"enderecos.pais.id",
						"cpfCnpjCadastrante",
						"localizacao.geometria",
						"empreendedor.id",
						"empreendedor.dataCadastro",
						"empreendedor.ativo",
						"empreendedor.podeSerExcluido",
						"empreendedor.pessoa.nome",
						"empreendedor.pessoa.cpf",
						"empreendedor.pessoa.cnpj",
						"empreendedor.pessoa.tipo",
						"empreendedor.pessoa.id",
						"empreendedor.pessoa.sexo.descricao",
						"empreendedor.pessoa.enderecos.zonaLocalizacao.codigo",
						"empreendedor.pessoa.dataNascimento",
						"empreendedor.pessoa.estadoCivil.nome",
						"empreendedor.pessoa.estadoCivil.codigo",
						"empreendedor.pessoa.nomeMae",
						"empreendedor.pessoa.naturalidade",
						"empreendedor.pessoa.rg.numero",
						"empreendedor.pessoa.rg.orgaoExpedidor",
						"empreendedor.pessoa.tituloEleitoral.numero",
						"empreendedor.pessoa.tituloEleitoral.secao",
						"empreendedor.pessoa.tituloEleitoral.zona",
						"empreendedor.pessoa.cnpj",
						"empreendedor.pessoa.municipio.codigoIbge",
						"empreendedor.pessoa.nomeFantasia",
						"empreendedor.pessoa.razaoSocial",
						"empreendedor.pessoa.dataConstituicao",
						"empreendedor.pessoa.inscricaoEstadual",
						"empreendedor.pessoa.contatos.id",
						"empreendedor.pessoa.contatos.tipo.id",
						"empreendedor.pessoa.contatos.tipo.descricao",
						"empreendedor.pessoa.contatos.valor",
						"empreendedor.pessoa.contatos.principal",
						"empreendedor.pessoa.enderecos.id",
						"empreendedor.pessoa.enderecos.tipo.id",
						"empreendedor.pessoa.enderecos.logradouro",
						"empreendedor.pessoa.enderecos.numero",
						"empreendedor.pessoa.enderecos.caixaPostal",
						"empreendedor.pessoa.enderecos.bairro",
						"empreendedor.pessoa.enderecos.complemento",
						"empreendedor.pessoa.enderecos.cep",
						"empreendedor.pessoa.enderecos.descricaoAcesso",
						"empreendedor.pessoa.enderecos.municipio.id",
						"empreendedor.pessoa.enderecos.municipio.nome",
						"empreendedor.pessoa.enderecos.municipio.codigoIbge",
						"empreendedor.pessoa.enderecos.municipio.estado.id",
						"empreendedor.pessoa.enderecos.municipio.estado.sigla",
						"empreendedor.pessoa.enderecos.municipio.codigoIbge",
						"empreendedor.pessoa.enderecos.zonaLocalizacao.nome",
						"empreendedor.pessoa.enderecos.pais.id"
				)
				.exclude("*")
				.transform(new TipoEnumTransformer(), Tipo.class)
				.transform(new GeometryTransformer(), Geometry.class)
				.prettyPrint(prettyPrint);

		findEmpreendimentosByPessoa = new JSONSerializer()
				.include(
						"id",
						"denominacao",
						"pessoa.cpf",
						"pessoa.cnpj",
						"pessoaIsProprietario",
						"pessoaIsResponsavelTecnico",
						"pessoaIsRepresentanteLegal",
						"pessoaIsResponsavelLegal"
				)
				.exclude("*")
				.transform(new TipoEnumTransformer(), Tipo.class)
				.prettyPrint(prettyPrint);


		findEmpreendimentoSobreposicao = new JSONSerializer()
				.include(
						"sobreposicoes.cpfCnpj",
						"sobreposicoes.denominacao",
						"sobreposicoes.geometria",
						"sobreposicoes.proprietarios.id",
						"sobreposicoes.proprietarios.tipo",
						"sobreposicoes.proprietarios.nome",
						"sobreposicoes.proprietarios.razaoSocial",
						"sobreposicoes.proprietarios.cpf",
						"sobreposicoes.proprietarios.cnpj"
				)
				.exclude("*")
				.transform(new TipoEnumTransformer(), Tipo.class)
				.transform(new GeometryTransformer(), Geometry.class)
				.prettyPrint(prettyPrint);


	}

}
